### Hierarchy

- TokenBuilder
  - TextToken
  - AtRuleToken
  - InterpolationToken

## Index

### Constructors

- constructor

### Properties

- ch
- data
- file
- line
- ruleName
- type

### Methods

- build

## Constructors

### constructor

- new TokenBuilder(line: number, ch: number, file: string): TokenBuilder

- - Defined in Token.ts:17

  #### Parameters

  - ##### line: number

  - ##### ch: number

  - ##### file: string

  #### Returns TokenBuilder

## Properties

### ch

ch: number

- Defined in Token.ts:21

### data

data: string[] = []

- Defined in Token.ts:16

### file

file: string

- Defined in Token.ts:22

### line

line: number

- Defined in Token.ts:20

### ruleName

ruleName: string[] = []

- Defined in Token.ts:17

### type

type: string

- Defined in Token.ts:15

## Methods

### build

- build(): Token

- - Defined in Token.ts:25

  #### Returns Token

Generated using TypeDoc